function generarRefCons_MX()
{
    jQuery(function(){
        $('#conss3').attr("disabled", true);
    });

    var consmx = $('#consmx').val();
    var cltmx = $('#clientemx').val();      var tipOmx = $('#tipOperacionmx').val();
    var tipCmx = $('#tipoCargamx').val();    var fechEmx = $('#Fecha_etamx').val();
    var flmx = $('#foliomx').val();         var pedmx = $('#pedimentomx').val();
    var adnmx = $('#aduanamx').val();       var ptntmx = $('#patentemx').val();
    var cont1mx = $('#cntmx1').val();       var cont2mx = $('#cntmx2').val();
    var cont3mx = $('#cntmx3').val();       var cont4mx = $('#cntmx4').val();
    var cont5mx = $('#cntmx5').val();       var cont6mx = $('#cntmx6').val();
    var cont7mx = $('#cntmx7').val();       var cont8mx = $('#cntmx8').val();
    var cont9mx = $('#cntmx9').val();       var cont10mx = $('#cntmx10').val();

    if(cltmx != "" && tipOmx != "" && tipCmx != "" && fechEmx != "" && flmx != "" && pedmx != "" && adnmx != "" && ptntmx != ""){
        $.ajaxSetup({
            headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });

        $.ajax({
            type: 'GET',
            url: 'RefConsMX',
            data: {
                'cliente': cltmx, 'consecutivo': consmx, 'tipOperacion': tipOmx,'tipCarga': tipCmx,'fecha_eta': fechEmx,'folio': flmx,'pedimento': pedmx,'aduana': adnmx,'patente': ptntmx, 'cont1': cont1mx,'cont2': cont2mx, 'cont3': cont3mx, 'cont4': cont4mx,'cont5': cont5mx,'cont6': cont6mx,'cont7': cont7mx,'cont8': cont8mx,'cont9': cont9mx,'cont10': cont10mx,
            },
            success:function(result){
                    $('#cuerpoTBMX').html(result);

                    $('#tipOperacionmx')[0].selectedIndex = 0;
                    $('#tipoCargamx')[0].selectedIndex = 0;
                    $('#Fecha_etamx')[0].selectedIndex = 0;
                    document.getElementById("consmx").value = "";
                    document.getElementById("cntmx1").value = "";
                    document.getElementById("cntmx2").value = "";
                    document.getElementById("cntmx3").value = "";
                    document.getElementById("cntmx4").value = "";
                    document.getElementById("cntmx5").value = "";
                    document.getElementById("cntmx6").value = "";
                    document.getElementById("cntmx7").value = "";
                    document.getElementById("cntmx8").value = "";
                    document.getElementById("cntmx9").value = "";
                    document.getElementById("cntmx10").value = "";

                    jQuery(function(){
                        $('#RefGenMX').modal('show');
                        $('#conss3').attr("disabled", false);
                    });

            },error:function (xhr, ajaxOptions, thrownError){
                if(xhr.status==404) {
                    alert(thrownError);
                }
            }
        });
    }else{
        alert('Revisa que todos los campos esten llenos!');
        jQuery(function(){
            $('#conss3').attr("disabled", false);
        });
    }
}